/usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi )

You might get this error even if the apache on the cpanel server is recompiled or after the PHP-5.3 and PHP-5.2 compilation . To sort this error just follow following simple step:

/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /opt/xslt/lib/libexslt.so.0)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /opt/xslt/lib/libexslt.so.0)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /opt/xslt/lib/libxslt.so.1)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /opt/xslt/lib/libxslt.so.1)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /opt/xslt/lib/libxslt.so.1)
/usr/local/php52/bin/php-cgi: /usr/lib64/libxml2.so.2: no version information available (required by /opt/xslt/lib/libxslt.so.1)

 

# mv /usr/lib64/libxml2.so.2 /usr/lib64/libxml2.so.2-bak

# ln -s /usr/lib/libxml2.so.2 /usr/lib64/libxml2.so.2

/usr/lib64/libxml2.so.2: no version information available (required by /usr/local/php52/bin/php-cgi )

Leave a Reply

Your email address will not be published. Required fields are marked *

Fork me on GitHub